<?php

session_start();

$id = session_id();

$messages = str_replace(PHP_EOL, '<br />', @file_get_contents(__DIR__ . "/files/{$id}.txt"));

?>
<!DOCTYPE html>
<html lang="sk" class="no-js">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Ajax - Long polling - 4ME MEDIA</title>
        <link rel="stylesheet" media="screen" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-beta/css/bootstrap.min.css" type="text/css">
    </head>
    <body>
        <br  /><br  />
        <div class="container">
            <div class="row">
                <div class="col-sm-12">
                    Rada: otvorte túto stránku na dvoch rôznych prehlaidačoch a sledujte zmeny
                    <br /><br />
                </div>

                <div class="col-sm-7">
                    <form>
                        <div class="form-group">
                            <label for="id">Pre ID:</label>
                            <input type="text" class="form-control" id="id" placeholder="ID..." />
                            Vaše ID je: <span class="badge badge-success"><?php echo $id;?></span>
                        </div>
                        <div class="form-group">
                            <label for="test">Napíšte niečo:</label>
                            <textarea class="form-control" id="test" placeholder="Text..."></textarea>
                        </div>
                        <button type="submit" class="btn btn-primary">Odoslať</button>
                    </form>
                    <br  /><br  />
                    Správy:
                    <div class="alert alert-light" role="alert" id="msg">
                        <?php echo $messages;?>
                    </div>
                </div>

                <div class="col-sm-5">
                    Konzola:
                    <div class="alert alert-secondary code" role="alert" id="console"></div>
                </div>

                <div class="col-sm-12">
                    <a href="./download.zip" class="btn btn-success">Stiahnuť zdrojáky</a>
                </div>
            </div>
        </div>

        <style>
        .code {
            font-family: monospace;
            font-size: 14px;
        }
        </style>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js" type="text/javascript"></script>
        <script src="./log.js" type="text/javascript"></script>
        <script src="./demo.js" type="text/javascript"></script>
    </body>
</html>
