<?php

session_start();

$maxSecs = 30; // Maximum sekund, kym dokaze server bezat nez potrebuje obnovit spojenie

if(isset($_GET['get'])) {
    $id = session_id();

    set_time_limit(0);

    $file = __DIR__ . "/files/{$id}.txt";
    if(!is_file($file)) file_put_contents($file, '');

    $timeoutCounter = 0;
    $timeoutReset = false;

    while(true) {
        session_write_close();
        clearstatcache();

        $timestamp = filemtime($file);
        $last_ajax_call = !empty($_GET['timestamp']) ? (int)$_GET['timestamp'] : 0;

        if($timeoutReset) {
            $timeoutCounter = 0;
            $timeoutReset = false;

            echo json_encode(array(
                'type' => 'reset',
                'timestamp' => $last_ajax_call,
            ));
            exit;
        } elseif($timestamp > $last_ajax_call) {
            echo json_encode(array(
                'type' => 'text',
                'text' => str_replace(PHP_EOL, '<br />', @file_get_contents($file)),
                'timestamp' => $timestamp,
            ));
            exit;
        } else {
            usleep(100 * 1000);

            if($timeoutCounter >= ($maxSecs * 10)) {
                $timeoutReset = true;
            } else {
                $timeoutCounter++;
            }

            continue;
        }
    }
} elseif(isset($_GET['set']) && isset($_GET['id']) && isset($_GET['msg'])) {
    $oid = session_id();
    $id = !empty($_GET['id']) ? $_GET['id'] : session_id();

    if($oid == $id) {
        $data1 = @file_get_contents(__DIR__ . "/files/{$id}.txt");

        $msg1 = "<strong>Vy:</strong> " . $_GET['msg'];

        file_put_contents(__DIR__ . "/files/{$id}.txt", $data1 . PHP_EOL . $msg1);
    } else {
        $data1 = @file_get_contents(__DIR__ . "/files/{$id}.txt");
        $data2 = @file_get_contents(__DIR__ . "/files/{$oid}.txt");

        $msg1 = "<strong>{$oid} -> Vám:</strong> " . $_GET['msg'];
        $msg2 = "<strong>Vy -> {$id}:</strong> " . $_GET['msg'];

        file_put_contents(__DIR__ . "/files/{$id}.txt", $data1 . PHP_EOL . $msg1);
        file_put_contents(__DIR__ . "/files/{$oid}.txt", $data2 . PHP_EOL . $msg2);
    }
}
